commit:     3d4507176051012633d8703975fbac9742203a31
Author:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
AuthorDate: Thu Jun 16 16:50:40 2022 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Jun 16 16:50:40 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3d450717

dev-python/gcs-oauth2-boto-plugin: add 3.0

Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/gcs-oauth2-boto-plugin/Manifest         |  1 +
 .../gcs-oauth2-boto-plugin-3.0.ebuild              | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/dev-python/gcs-oauth2-boto-plugin/Manifest 
b/dev-python/gcs-oauth2-boto-plugin/Manifest
index 210a637a8aef..2a6681a95916 100644
--- a/dev-python/gcs-oauth2-boto-plugin/Manifest
+++ b/dev-python/gcs-oauth2-boto-plugin/Manifest
@@ -1 +1,2 @@
 DIST gcs-oauth2-boto-plugin-2.7.tar.gz 20929 BLAKE2B 
79db6c7bdf76320c2f74ab5edca0dd1cf7967bd38fb9a7a0a34c05fca3cab51317fb3ebd3e9ba195b42af2944cc951d150e3ee90cc93cdeab176f79d027a9800
 SHA512 
0ea8d4b01a2da79397e06de9dc0279594017e58e3874a2633b32007590efa2e8a29b5d2127d0218663cf7e63042adcc9801dbbb11bdfcb40d0c5d67c47267a09
+DIST gcs-oauth2-boto-plugin-3.0.tar.gz 20908 BLAKE2B 
85c20d8b39dde8ed8a0bad887572040b8eb1eab91b41558c57ef7c190fff9cc5e0502579881a08ed514de87d5fe91a393779e2de071a53bb21e2371f8f13c047
 SHA512 
84cef64c2b0cc5e38685bb39b3939c54ceced2c0995a67787bf3541bf8a93b91ffec3da83094b7d6957d5afb60833c5ba4ffe7fb688ba8aa943c5f72c719e93b

diff --git 
a/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-3.0.ebuild 
b/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-3.0.ebuild
new file mode 100644
index 000000000000..f81b7637e25f
--- /dev/null
+++ b/dev-python/gcs-oauth2-boto-plugin/gcs-oauth2-boto-plugin-3.0.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{7..10} )
+
+inherit distutils-r1
+
+DESCRIPTION="OAuth 2.0 plugin for Google Cloud Storage credentials in the Boto 
library"
+HOMEPAGE="https://pypi.org/project/gcs-oauth2-boto-plugin/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+# Keep versions in sync with setup.py.
+BDEPEND="
+       test? ( dev-python/freezegun[${PYTHON_USEDEP}] )
+"
+RDEPEND="
+       ${PYTHON_DEPS}
+       >=dev-python/boto-2.29.1[${PYTHON_USEDEP}]
+       >=dev-python/google-reauth-python-0.1.0[${PYTHON_USEDEP}]
+       >=dev-python/httplib2-0.18[${PYTHON_USEDEP}]
+       >=dev-python/oauth2client-2.2.0[${PYTHON_USEDEP}]
+       >=dev-python/pyopenssl-0.13[${PYTHON_USEDEP}]
+       >=dev-python/retry-decorator-1.0.0[${PYTHON_USEDEP}]
+       >=dev-python/six-1.12.0[${PYTHON_USEDEP}]
+"
+
+python_prepare_all() {
+       distutils-r1_python_prepare_all
+       # Make sure the unittests aren't installed.
+       mv gcs_oauth2_boto_plugin/test_oauth2_client.py ./ || die
+}
+
+python_test() {
+       "${EPYTHON}" "${S}"/test_oauth2_client.py -v \
+               || die "tests failed with ${EPYTHON}"
+}

Reply via email to